<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:lav="http://software.in2p3.fr/lavoisier/application.xsd"
                xmlns:xpath="xalan://fr.in2p3.lavoisier.helpers.xpath"
                exclude-result-prefixes="lav xpath">
    <xsl:output method="xml" indent="yes"/>

    <xsl:template match="lav:processor[starts-with(@match, '/')]">
        <xsl:copy><xsl:copy-of select="@*"/>
            <xsl:copy-of select="xpath:plan(@match, ancestor::lav:view/@name)"/>
            <xsl:apply-templates/>
        </xsl:copy>
    </xsl:template>

    <!-- default rules -->
    <xsl:template match="@*">
        <xsl:copy-of select="."/>
    </xsl:template>
    <xsl:template match="comment()">
        <xsl:comment><xsl:value-of select="."/></xsl:comment>
    </xsl:template>
    <xsl:template match="*">
        <xsl:copy>
            <xsl:apply-templates select="@*|*|text()|comment()"/>
        </xsl:copy>
    </xsl:template>
</xsl:stylesheet>